%define anolis_release 1

Name:           icoutils
Version:        0.32.3
Release:        %{anolis_release}%{?dist}
Summary:        Utility for extracting and converting Microsoft icon and cursor files

License:        GPLv3+
URL:            http://www.nongnu.org/icoutils/
Source0:        http://savannah.nongnu.org/download/%{name}/%{name}-%{version}.tar.bz2

# Possible security fix, at minimum it's a DoS.
# Upstream commit d72956a6de228c91d1fc48fd15448fadea9ab6cf
Patch1:         0001-wrestool-Fix-get_resource_id_quoted-to-return-heap-a.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  gettext 
BuildRequires:  libpng-devel
BuildRequires:  perl-generators
BuildRequires:  make

Provides:       bundled(gnulib)

%description
The icoutils are a set of programs for extracting and converting images in
Microsoft Windows icon and cursor files. These files usually have the
extension .ico or .cur, but they can also be embedded in executables or
libraries.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%autosetup -p1

autoreconf -i

for f in AUTHORS NEWS; do
  iconv -f ISO88592 -t UTF8 < $f > $f.utf8 && \
  touch -r $f $f.utf8 && \
  mv $f.utf8 $f 
done

%build
%configure
%make_build


%install
%make_install DESTDIR=%{buildroot}
%find_lang %{name}
%generate_compatibility_deps


%files -f %{name}.lang
%license COPYING
%{_bindir}/extresso
%{_bindir}/genresscript
%{_bindir}/icotool
%{_bindir}/wrestool
%{_mandir}/man1/*.1*
%dir %{abidir}
%{abidir}/*-option.list

%files doc
%doc README AUTHORS NEWS TODO ChangeLog

%changelog
* Tue Mar 21 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.32.3-1
- init from upstream
